Get Revision Executive Vulnerability Report Preview

gethttps://app.fossa.com/api/revisions/{locator}/report/executive-vulnerability

Returns a watermarked preview of the Executive Vulnerability Report for a given revision

Path parameters

locatorstringrequired

Query parameters

previewbooleanrequired

Must be `true`. Use the email endpoint to generate the full report.

fullListboolean

Whether to include the full vulnerability list (default is true)

Responses

200A watermarked preview of the report
string <binary>
400BadRequest
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden. Returned when the organization does not have Security enabled.
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound. Returned when the `execVulnReport` feature flag is off, or the user cannot access the revision.
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerability
curl --request GET \  --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerability' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

locatorstringrequired

Query params

previewbooleanrequired

Must be `true`. Use the email endpoint to generate the full report.

fullListboolean

Whether to include the full vulnerability list (default is true)